Bug 1255038 - yum -q does not stop output related to deltarpm
yum -q does not stop output related to deltarpm
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Michal Domonkos
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 09:25 EDT by daryl herzmann
Modified: 2016-12-16 11:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-16 11:11:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daryl herzmann 2015-08-19 09:25:42 EDT
I place "yum -y -q update" in /etc/crontab to keep my system updated.  Of course, the -q does not stop all output when some 'noisy' RPMs are installed, which is fine.  But I get daily emails via crontab with this warning:

    Delta RPMs disabled because /usr/bin/applydeltarpm not installed.

My system is registered to RHN Satellite 5, if that matters.  Installing the deltarpm package will stop this message.

But even after installing deltarpm, a new message is generated.

    No Presto metadata available for rhel-x86_64-server-7

My system is fully updated RHEL7.1 64bit server

    yum-3.4.3-125.el7.noarch

So my humble suggestion would be to quell these messages when -q is specified for yum.
Comment 2 daryl herzmann 2015-12-04 09:14:39 EST
Just to note this is still an issue with RHEL7.2
Comment 3 Michal Domonkos 2016-02-22 09:16:58 EST
Currently, quiet mode forces the debuglevel to 0 which still causes INFO messages (like the ones mentioned in Comment 0) to be printed.  We should probably fix this by setting it to -2 (only WARNING and above, this is also default for yum-cron) instead.

As a workaround, I'd suggest simply running yum with --debuglevel=-2 in your cron job, which will get rid of those messages.  You may also consider installing yum-cron instead, which uses that debuglevel by default (see /etc/yum/yum-cron.conf for details) and includes a preconfigured daily job.
Comment 4 Michal Domonkos 2016-02-22 09:22:56 EST
> As a workaround, I'd suggest simply running yum with --debuglevel=-2 in your
> cron job, which will get rid of those messages.

Please note that for this to work, you also have to leave out the -q option (it would otherwise override --debuglevel back to 0).
Comment 5 daryl herzmann 2016-02-22 09:26:56 EST
Thank you for the suggested workarounds!
Comment 7 Michal Domonkos 2016-12-16 11:11:41 EST
I revisited this BZ and learned that --quite using debuglevel of 0 is actually intentional, more info here:
https://bugzilla.redhat.com/show_bug.cgi?id=982088#c2

Basically, the messages related to deltarpm in Comment 0 are important enough to be printed in quite mode.  At least, it has always been like that and there's no good reason to change it now, esp. when there's a simple workaround in Comment 3.

Closing now.
Comment 8 Michal Domonkos 2016-12-16 11:12:26 EST
(In reply to Michal Domonkos from comment #7)
> I revisited this BZ and learned that --quite using debuglevel of 0 is

s/quite/quiet/

Note You need to log in before you can comment on or make changes to this bug.